package cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.webservice;

import cn.estsh.i3plus.ext.mes.pcn.apiservice.model.MesConsoleItemCodeExt;
import cn.estsh.i3plus.ext.mes.pcn.apiservice.model.MesConsoleResultExt;
import cn.estsh.i3plus.ext.mes.pcn.apiservice.serviceimpl.busi.DcsForEquipmentServiceImpl;
import cn.estsh.impp.framework.boot.util.SpringContextsUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

@Component
@WebService(targetNamespace = "http://tempuri.org/")
public class DcsForEquipmentServer {
    public static final Logger LOGGER = LoggerFactory.getLogger(DcsForEquipmentServer.class);
    @WebMethod(action = "GetConsoleItemCodeExt", operationName = "GetConsoleItemCodeExt")
    public String getConsoleItemCodeExt(@WebParam(name = "GetConsoleItemCodeExt") MesConsoleItemCodeExt mesConsoleItemCodeExt) {
        DcsForEquipmentServiceImpl bean = (DcsForEquipmentServiceImpl) SpringContextsUtil.getBean("DcsForEquipmentServiceImpl");
        String organizeCode = mesConsoleItemCodeExt.getOrganizeCode();
        String custCode = mesConsoleItemCodeExt.getCustCode();
        String assemblyLine = mesConsoleItemCodeExt.getAssemblyLine();
        String location = mesConsoleItemCodeExt.getLocation();
        String barcode = mesConsoleItemCodeExt.getBarcode();
        String custPlantCode = mesConsoleItemCodeExt.getCustPlantCode();
        return bean.doGetConsoleItemCode(organizeCode,barcode,custCode,custPlantCode,assemblyLine,location);
    }

//    @WebMethod(action = "GetConsoleItemCodeExt", operationName = "GetConsoleItemCodeExt")
//    public String getConsoleItemCodeExt(@WebParam(name = "organizeCode") String organizeCode, @WebParam(name = "custCode") String custCode,@WebParam(name = "assemblyLine")String assemblyLine,@WebParam(name = "location")String location,@WebParam(name = "barcode")String barcode,@WebParam(name = "custPlantCode")String custPlantCode) {
//        DcsForEquipmentServiceImpl bean = (DcsForEquipmentServiceImpl) SpringContextsUtil.getBean("DcsForEquipmentServiceImpl");
//        return bean.doGetConsoleItemCode(organizeCode,barcode,custCode,custPlantCode,assemblyLine,location);
//    }


    @WebMethod(action = "FillConsoleResultExt", operationName = "FillConsoleResultExt")
    public String getConsoleItemCodeExt(@WebParam(name = "FillConsoleResultExt") MesConsoleResultExt mesConsoleResultExt) {
        DcsForEquipmentServiceImpl bean = (DcsForEquipmentServiceImpl) SpringContextsUtil.getBean("DcsForEquipmentServiceImpl");
        String organizeCode = mesConsoleResultExt.getOrganizeCode();
        String custCode = mesConsoleResultExt.getCustCode();
        String assemblyLine = mesConsoleResultExt.getAssemblyLine();
        String location = mesConsoleResultExt.getLocation();
        String barcode = mesConsoleResultExt.getBarcode();
        String result = mesConsoleResultExt.getResult();
        String partNo = mesConsoleResultExt.getPartNO();
        return bean.doFillConsoleResultExt(organizeCode,barcode,partNo,result,assemblyLine,location,custCode);
    }
}
